---
title: "get_delivery"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/agent-action-get-delivery"
last_updated: 2026-11-05
---

# get_delivery

读取监控列表之外实时流还会推送的内容：默认关键词过滤和 Discord webhook、信息流开关、Binance Square 账号、新闻来源、喊单，以及 Instagram 的 Discord 推送目标。read 级：只需 API key。同名 MCP 工具需要 tweetstream:watchlist 权限范围。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/agent-action-get-delivery

## `POST /api/agent/actions/get_delivery`

`https://tweetstream.io/api/agent/actions/get_delivery`

## 授权

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `Authorization` | `string`, 必填 | 使用 TweetStream API 密钥进行 Bearer 认证：`Bearer <key>`。 |

## 请求体

### 请求体示例

```json
{}
```

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `binanceSquare` | `object`, 必填 |  |
| `binanceSquare.accounts` | `object[]`, 必填 |  |
| `binanceSquare.accounts.account` | `string`, 必填 |  |
| `binanceSquare.accounts.enabled` | `boolean`, 必填 |  |
| `binanceSquare.accounts.name` | `string`, 必填 |  |
| `binanceSquare.accounts.profileUrl` | `string`, 必填 |  |
| `binanceSquare.canManage` | `boolean`, 必填 |  |
| `callouts` | `object`, 必填 |  |
| `callouts.callers` | `object[]`, 必填 |  |
| `callouts.callers.callerId` | `string`, 必填 |  |
| `callouts.callers.createdAt` | `string`, 必填 |  |
| `callouts.callers.label` | `string`, 必填 |  |
| `callouts.callers.platform` | `enum<string>`, 必填 |  |
| `callouts.callers.username` | `string`, 必填 |  |
| `callouts.limit` | `number`, 必填 |  |
| `callouts.pending` | `object[]`, 必填 |  |
| `callouts.pending.createdAt` | `string`, 必填 |  |
| `callouts.pending.input` | `string`, 必填 |  |
| `callouts.pending.intentId` | `string`, 必填 |  |
| `callouts.pending.label` | `string`, 必填 |  |
| `callouts.pending.platform` | `enum<string>`, 必填 |  |
| `feeds` | `object`, 必填 |  |
| `feeds.charity` | `object`, 必填 |  |
| `feeds.charity.enabled` | `boolean`, 必填 |  |
| `feeds.robinhoodSocial` | `object`, 必填 |  |
| `feeds.robinhoodSocial.accounts` | `object[]`, 必填 |  |
| `feeds.robinhoodSocial.accounts.enabled` | `boolean`, 必填 |  |
| `feeds.robinhoodSocial.accounts.name` | `string`, 必填 |  |
| `feeds.robinhoodSocial.accounts.profileId` | `string`, 必填 |  |
| `feeds.robinhoodSocial.accounts.profileUrl` | `string`, 必填 |  |
| `feeds.robinhoodSocial.canManage` | `boolean`, 必填 |  |
| `feeds.truthSocial` | `object`, 必填 |  |
| `feeds.truthSocial.available` | `boolean`, 必填 |  |
| `feeds.truthSocial.enabled` | `boolean`, 必填 |  |
| `global` | `object`, 必填 |  |
| `global.keywords` | `string[]`, 必填 |  |
| `global.webhook` | `object`, 必填 | Present when a Discord webhook is saved; endsWith is the last 4 characters of its URL. |
| `global.webhook.configured` | `enum<boolean>`, 必填 |  |
| `global.webhook.endsWith` | `string`, 必填 |  |
| `instagramDiscord` | `object`, 必填 |  |
| `instagramDiscord.bot` | `object`, 必填 |  |
| `instagramDiscord.bot.available` | `boolean`, 必填 |  |
| `instagramDiscord.bot.delivering` | `boolean`, 必填 |  |
| `instagramDiscord.bot.enabled` | `boolean`, 必填 |  |
| `instagramDiscord.webhook` | `object`, 必填 |  |
| `instagramDiscord.webhook.available` | `boolean`, 必填 |  |
| `instagramDiscord.webhook.configured` | `boolean`, 必填 |  |
| `instagramDiscord.webhook.enabled` | `boolean`, 必填 |  |
| `newsSources` | `object[]`, 必填 |  |
| `newsSources.available` | `boolean`, 必填 |  |
| `newsSources.enabled` | `boolean`, 必填 |  |
| `newsSources.id` | `string`, 必填 |  |
| `newsSources.name` | `string`, 必填 |  |
| `refusals` | `object[]`, 必填 |  |
| `refusals.message` | `string`, 必填 |  |
| `refusals.reason` | `enum<string>`, 必填 |  |
| `refusals.section` | `enum<string>`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |
| `400` | 输入不符合该操作的 schema（INVALID_REQUEST） |  |
| `401` | API key 缺失或无效 |  |
| `403` | 请求带有外部 Origin |  |
| `429` | 已达到速率限制（RATE_LIMITED），请在 retryAfterSeconds 秒后重试 |  |
| `503` | 暂时不可用，请稍后重试 |  |

### 200

```json
{
  "binanceSquare": {
    "accounts": [
      {
        "account": "<string>",
        "enabled": true,
        "name": "<string>",
        "profileUrl": "<string>"
      }
    ],
    "canManage": true
  },
  "callouts": {
    "callers": [
      {
        "callerId": "<string>",
        "createdAt": "<string>",
        "label": "<string>",
        "platform": "pump_fun",
        "username": "<string>"
      }
    ],
    "limit": 123.45,
    "pending": [
      {
        "createdAt": "<string>",
        "input": "<string>",
        "intentId": "<string>",
        "label": "<string>",
        "platform": "pump_fun"
      }
    ]
  },
  "feeds": {
    "charity": {
      "enabled": true
    },
    "robinhoodSocial": {
      "accounts": [
        {
          "enabled": true,
          "name": "<string>",
          "profileId": "<string>",
          "profileUrl": "<string>"
        }
      ],
      "canManage": true
    },
    "truthSocial": {
      "available": true,
      "enabled": true
    }
  },
  "global": {
    "keywords": [
      "<string>"
    ],
    "webhook": {
      "configured": true,
      "endsWith": "<string>"
    }
  },
  "instagramDiscord": {
    "bot": {
      "available": true,
      "delivering": true,
      "enabled": true
    },
    "webhook": {
      "available": true,
      "configured": true,
      "enabled": true
    }
  },
  "newsSources": [
    {
      "available": true,
      "enabled": true,
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "refusals": [
    {
      "message": "<string>",
      "reason": "api_key_required",
      "section": "binanceSquare"
    }
  ]
}
```

### 400

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 401

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 403

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 429

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 503

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

## 代码示例

### cURL

```bash
curl --request POST \
  --url https://tweetstream.io/api/agent/actions/get_delivery \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### JavaScript

```javascript
const response = await fetch("https://tweetstream.io/api/agent/actions/get_delivery", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({}),
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.post(
    "https://tweetstream.io/api/agent/actions/get_delivery",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
    json={},
)

print(response.status_code, response.json())
```
